This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Fix to allow urllib2 digest auth to talk to livejournal.com
Type: Stage:
Components: Library (Lib) Versions: Python 2.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: anthonybaxter, benno, jjlee
Priority: normal Keywords: patch

Created on 2005-02-18 11:14 by benno, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
urllib2.patch benno, 2005-02-19 09:02
Messages (5)
msg47807 - (view) Author: Benno Rice (benno) Date: 2005-02-18 11:14
When trying to use feedparser.py to deal with RSS feeds
from livejournal.com using digest auth (needed to
access locked posts), urllib2 would report a digest
auth failure.  The solution appears to be to always
specify the algorithm, even when it's MD5.
msg47808 - (view) Author: Anthony Baxter (anthonybaxter) (Python triager) Date: 2005-02-19 08:57
Logged In: YES 
user_id=29957

There's no uploaded file!  You have to check the
checkbox labeled "Check to Upload & Attach File"
when you upload a file. In addition, even if you
*did* check this checkbox, a bug in SourceForge
prevents attaching a file when *creating* an issue.

Please try again.

(This is a SourceForge annoyance that we can do
nothing about. :-( )
msg47809 - (view) Author: Benno Rice (benno) Date: 2005-02-19 09:02
Logged In: YES 
user_id=9925

SourceForge is teh suxx0r.
msg47810 - (view) Author: John J Lee (jjlee) Date: 2005-02-20 02:01
Logged In: YES 
user_id=261020

Patch appears correct, and RFC 2617 allows always sending
the algorithm.  Haven't tested the patch, or verified that
real browsers do indeed always send algorithm even when it'd
MD5.
msg47811 - (view) Author: John J Lee (jjlee) Date: 2006-04-15 14:49
Logged In: YES 
user_id=261020

This was fixed in revision 38092.
History
Date User Action Args
2022-04-11 14:56:09adminsetgithub: 41597
2005-02-18 11:14:35bennocreate